
ChiliProject - Feature # 691: Distinguish between start date and reported date for issues

Status: Declined Priority: Low
Author: Tammo Tjarks Category:
Created: 2011-11-09 Assignee:
Updated: 2011-11-11 Due date:
Remote issue URL:
Affected version:
Description: At the moment the start date for an issue is set to the time the issues has been reported. But especially for 

features it may be, that it is pushed to another version and the active working at the issue starts much later. It 
may be even not wished (e.g. for project planning in gantt charts) that the starting time is the time the issue 
has been entered. 
Of cause it would be even greate, if somehow the time of each workflow transition would be stored 
somewhere. For example, when different persons responsible for the different transitions. I think that would 
even enable SLAs then, but I am unsure here.

I think that is related to #533 and #279.

History
2011-11-09 12:29 pm - Tammo Tjarks
And I do not know how to set here the related issues.

2011-11-10 05:55 pm - Eric Davis
- Status changed from Open to Needs more information

I'm not sure what you are asking for here.

The start date and due date fields on an issue are able to be edited by a user and are intended to say when an issue should be worked on. Like for the 
lines on the Gantt chart.

Issues also track their creation date automatically. It isn't editable by a user and is shown at the top of the issue underneath the subject. Example: 
"Added by Tammo Tjarks 1 day ago."

2011-11-10 08:40 pm - Felix Schäfer
I haven't looked again, but I think we added a (system-wide) option to disable the default start date being the current date, haven't we? Wouldn't that 
solve your problem? (if I have understood it correctly)

2011-11-11 08:49 am - Tammo Tjarks
Yes,
I think you are right. Sorry my fault. Anyway I think it would be a feature to have all transition times stored. 

2011-11-11 09:38 am - Felix Schäfer
- Start date changed from 2011-11-09 to 2011-11-08

- Status changed from Needs more information to Declined

Changes in start and end dates are recorded (I changed the start date for this issue for example), so that's taken care of too :-)

Declining as this is functionality already available, could you please add to/update the docs if you think the option should be more discoverable? 
Thanks!
